.\" @(#) $Name: cflowd-2-1-b1 $ $Id: cfdifmatrix.man.in,v 1.2 1998/10/13 14:38:17 dwm Exp $
.TH cfdifmatrix l LOCAL
.SH NAME
cfdifmatrix \- utility to display current interface matrix data in cflowd
.SH SYNOPSIS
cfdifmatrix [-v] [-c configfile] routerIpAddr [ifIndex]
.SH DESCRIPTION
.I cfdifmatrix
is used to display current interface matrix data in cflowd running 
on the local host.
.SH REQUIRED ARGUMENTS
.IP "\fBrouterIpAddr"
You must specify a \fIrouterIpAddr\fR on the command line.  This
determines which router's interface matrix data will be shown.  You may
only show a single router's interface matrix data.
.SH OPTIONS
.IP "\fB-v"
The \fI-v\fR option causes \fIcfdifmatrix\fR to print version information
and exit immediately.
.IP "\fB-c configfile"
The \fI-c configfile\fR option can be used to specify a cflowd
configuration file.  If not specified, a compiled-in default will be
used.
.IP "\fBifIndex"
By default, \fIcfdifmatrix\fR will show data for all input interfaces on
the router whose IP address is \fIrouterIpAddr\fR.  You may select
a particular interface by its ifIndex (from SNMP MIB-II) using the
\fIifIndex\fR after the \fIrouterIpAddr\fR on the command line.
.SH EXAMPLES
.IP "cfdifmatrix 204.212.46.1 4"
.SH FILES
.IP "\fB/usr/local/arts/etc/cflowd.conf"
The compiled-in default cflowd configuration file.
.SH SEE ALSO
cflowd(l), cflowdmux(l), cfdnets(l), cfdportmatrix(l), cfdases(l),
cfdprotos(l), cfdnexthops(l), cfdcollect(l)
.SH ACKNOWLEDGEMENTS
.IP "\fBcfdifmatrix \fRand documentation written by:"

.br
Daniel W. McRobb
.br
CAIDA, September 1998
.SH RELEASE NAME
cflowd-2-1-b1
